﻿Public Class Form1
    Private Declare Function MBegin Lib "xpstopdf.dll" () As Integer
    Private Declare Function MInputFiles Lib "xpstopdf.dll" (ByVal id As Integer, ByVal infile As String) As Integer
    Private Declare Function MConvert Lib "xpstopdf.dll" (ByVal id As Integer, ByVal mode As Integer, ByVal output As String) As Integer
    Private Declare Function MPdfSecurity Lib "xpstopdf.dll" (ByVal id As Integer, ByVal openpassword As String, ByVal perpassword As String, ByVal level As Integer, ByVal permission As Integer) As Integer
    Private Declare Function MEnd Lib "xpstopdf.dll" (ByVal id As Integer) As Integer
    Private Declare Function MPdfInfo Lib "xpstopdf.dll" (ByVal id As Integer, ByVal title As String, ByVal subject As String, ByVal author As String, ByVal keywords As String, ByVal creator As String) As Integer
    Private Declare Function MRegCode Lib "xpstopdf.dll" (ByVal id As Integer, ByVal regcode As String) As Integer

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim level As Integer
        Dim permission As Integer
        Dim mode As Integer

        id = MBegin()
        If (id > 0) Then

            'add xps files
            MInputFiles(id, "xps.xps")
            MInputFiles(id, "xps2.xps")

            'Trial version does not support PDF encryption!

            'Set pdf security
            level = 128 '40,128
            permission = 0 'Set restrictions for encryption.
            ' 0 =  all allowed.
            ' 4 =  Deny printing.
            ' 8 =  Deny modification of contents.
            ' 16 = Deny copying of contents.
            ' 32 = No commenting.
            ' 60 = all disallowed.
            MPdfSecurity(id, "password", "password", level, permission)

            'Register your Xpstopdf SDK by the given Registration Key
            'MRegCode id, "AAAAAAAAAAAAAAAAAAAAAAAA"

            'Set pdf info
            MPdfInfo(id, "title", "subject", "author", "keywords", "creator")

            'convert
            mode = 1 'Combine all files into one pdf file
            MConvert(id, mode, "combine.pdf")

            'end convert
            MEnd(id)

            MsgBox("Convert finished!")

        End If
    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim level As Integer
        Dim permission As Integer
        Dim mode As Integer

        id = MBegin()
        If (id > 0) Then

            'add xps files
            MInputFiles(id, "xps.xps")
            MInputFiles(id, "xps2.xps")

            'Trial version does not support PDF encryption!

            'Set pdf security
            level = 128 '40,128
            permission = 0 'Set restrictions for encryption.
            ' 0 =  all allowed.
            ' 4 =  Deny printing.
            ' 8 =  Deny modification of contents.
            ' 16 = Deny copying of contents.
            ' 32 = No commenting.
            ' 60 = all disallowed.
            MPdfSecurity(id, "password", "password", level, permission)

            'Set pdf info
            MPdfInfo(id, "title", "subject", "author", "keywords", "creator")

            'Register your Xpstopdf SDK by the given Registration Key
            'MRegCode id, "AAAAAAAAAAAAAAAAAAAAAAAA"

            'convert
            mode = 2 'Convert one file to one pdf file
            MConvert(id, mode, "outpath")

            'end convert
            MEnd(id)

            MsgBox("Convert finished!")

        End If
    End Sub
End Class
